# Class yii\authclient\signature\HmacSha

Inheritance | yii\authclient\signature\HmacSha » yii\authclient\signature\BaseMethod » yii\base\BaseObject
Implements | yii\base\Configurable
Subclasses | yii\authclient\signature\HmacSha1
Available since version | 2.1.3
Source Code | https://github.com/yiisoft/yii2-authclient/blob/master/signature/HmacSha.php

HmacSha1 represents 'HMAC SHA' signature method.

> Note: This class requires PHP "Hash" extension(http://php.net/manual/en/book.hash.php).

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$algorithm | string | Hash algorithm, e.g. `sha1`, `sha256` and so on. | yii\authclient\signature\HmacSha
$name | string | Method name. | yii\authclient\signature\HmacSha

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__call() | Calls the named method which is not a class method. | yii\base\BaseObject
__construct() | Constructor. | yii\base\BaseObject
__get() | Returns the value of an object property. | yii\base\BaseObject
__isset() | Checks if a property is set, i.e. defined and not null. | yii\base\BaseObject
__set() | Sets value of an object property. | yii\base\BaseObject
__unset() | Sets an object property to null. | yii\base\BaseObject
canGetProperty() | Returns a value indicating whether a property can be read. | yii\base\BaseObject
canSetProperty() | Returns a value indicating whether a property can be set. | yii\base\BaseObject
className() | Returns the fully qualified name of this class. | yii\base\BaseObject
generateSignature() | Generates OAuth request signature. | yii\authclient\signature\HmacSha
getName() | Return the canonical name of the Signature Method. | yii\authclient\signature\HmacSha
hasMethod() | Returns a value indicating whether a method is defined. | yii\base\BaseObject
hasProperty() | Returns a value indicating whether a property is defined. | yii\base\BaseObject
init() | Initializes the object. | yii\authclient\signature\HmacSha
verify() | Verifies given OAuth request. | yii\authclient\signature\BaseMethod

## Property Details

$algorithm public property

Hash algorithm, e.g. `sha1`, `sha256` and so on.

See also http://php.net/manual/ru/function.hash-algos.php.

public string $algorithm = null
$name public read-only property

Method name.

public string getName ( )

## Method Details

generateSignature() public method

Generates OAuth request signature.

public string generateSignature ( $baseString, $key )
$baseString | string | Signature base string.
$key | string | Signature key.
return | string | Signature string.

getName() public method

Return the canonical name of the Signature Method.

public string getName ( )
return | string | Method name.

init() public method

Initializes the object.

This method is invoked at the end of the constructor after the object is initialized with the given configuration.

public void init ( )